# Generated by Django 2.0.13 on 2020-05-22 01:11

import ckeditor_uploader.fields
import django.contrib.postgres.fields
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import buildblock.apps.construction.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('product', '0019_auto_20200522_1011'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Construction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('type', models.CharField(choices=[('FIX_AND_FLIP', 'Fix and Flip'), ('ADU', 'ADU')], max_length=32, verbose_name='Construction Type')),
                ('status', models.CharField(choices=[('PENDING', 'Ready'), ('IN_PROGRESS', 'In Progress'), ('COMPLETE', 'Complete')], default='ACTIVE', max_length=16, verbose_name='Construction Status')),
                ('title', models.CharField(max_length=100, verbose_name='Construction title')),
                ('budget', models.PositiveIntegerField(verbose_name='Budget (cent)')),
                ('start_date', models.DateField(verbose_name='Construction Start Date')),
                ('end_date', models.DateField(verbose_name='Construction End Date')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Product description')),
                ('constructor', models.ManyToManyField(blank=True, related_name='related_constructions', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='constructions', to='product.Product')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConstructionPicture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('picture', models.ImageField(upload_to=buildblock.apps.construction.models.construction_picture_path, verbose_name='Picture')),
                ('status', models.CharField(choices=[('BEFORE', 'Before'), ('IN_PROGRESS', 'In Progress'), ('AFTER', 'After')], default='IN_PROGRESS', max_length=16, verbose_name='Status')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConstructionReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=100, verbose_name='Title')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(verbose_name='Content')),
                ('report_date', models.DateField(verbose_name='Report Date')),
                ('construction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reports', to='construction.Construction')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConstructionWork',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=100, verbose_name='Work title')),
                ('zone_ids', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), blank=True, default=list, size=None)),
                ('work_date', django.contrib.postgres.fields.ArrayField(base_field=models.DateField(), blank=True, default=list, size=None)),
                ('construction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='work_process', to='construction.Construction')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=100, verbose_name='Work Type title')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Work Type description')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='constructionwork',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.WorkType'),
        ),
        migrations.AddField(
            model_name='constructionpicture',
            name='construction_work',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='work_picture', to='construction.ConstructionWork'),
        ),
    ]
