# Generated by Django 2.0.13 on 2020-06-02 02:32

import buildblock.apps.construction.models
import ckeditor_uploader.fields
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('construction', '0002_auto_20200522_1417'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConstructionExpense',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('amount', models.PositiveIntegerField(verbose_name='Amount')),
                ('date', models.DateField(verbose_name='Date')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('category', models.CharField(choices=[('MATERIAL', 'Material'), ('TOOL', 'Tool'), ('RENTAL', 'Rental'), ('FURNITURE', 'Furniture'), ('FOOD', 'Food'), ('ACCOMMODATION_FEE', 'Accommodation Fee'), ('STORAGE_COST', 'Storage Cost'), ('FUEL_COST', 'Fuel Cost'), ('ETC', 'Etc.')], max_length=50, verbose_name='Category')),
                ('quantity', models.PositiveIntegerField(blank=True, null=True, verbose_name='Quantity')),
                ('attachment', models.FileField(blank=True, upload_to=buildblock.apps.construction.models.construction_expense_path, verbose_name='Attachment')),
                ('construction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.Construction')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConstructionPersonnelExpense',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('amount', models.PositiveIntegerField(verbose_name='Amount')),
                ('date', models.DateField(verbose_name='Date')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('work_hours', models.PositiveIntegerField(blank=True, null=True, verbose_name='Hour')),
                ('attachment', models.FileField(blank=True, upload_to=buildblock.apps.construction.models.construction_personnel_expense_path, verbose_name='Attachment')),
                ('construction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.Construction')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Worker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=200, verbose_name='Name')),
                ('phone_number', models.CharField(blank=True, max_length=20, null=True, verbose_name='Phone')),
                ('speciality', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('NORMAL_WORKER', 'Normal Worker'), ('DEMOLITION_WORKER', 'Demolition Worker'), ('ELECTRIC_WORKER', 'Electric Worker'), ('PAINTER', 'Painter'), ('PLUMBER', 'Plumber'), ('CARPENTER', 'Carpenter'), ('CLEANER', 'Cleaner'), ('SPECIAL_WORKER', 'Special Worker')], max_length=30, verbose_name='Speciality'), default=list, size=None)),
                ('role', models.CharField(choices=[('WORKER', 'Worker'), ('LEADER', 'Leader'), ('CONTRACTOR', 'Contractor')], default='WORKER', max_length=20, verbose_name='Role')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='constructionreport',
            name='end_date',
            field=models.DateField(default=django.utils.timezone.now, verbose_name='To'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='constructionreport',
            name='start_date',
            field=models.DateField(default=django.utils.timezone.now, verbose_name='From'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='constructionreport',
            name='type',
            field=models.CharField(choices=[('DAILY', 'Daily'), ('WEEKLY', 'Weekly'), ('FINAL', 'Final')], default='DAILY', max_length=20, verbose_name='Type'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='constructionreport',
            name='content',
            field=ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Content'),
        ),
        migrations.RemoveField(
            model_name='constructionreport',
            name='report_date',
        ),
        migrations.RemoveField(
            model_name='constructionreport',
            name='title',
        ),
        migrations.AlterUniqueTogether(
            name='constructionreport',
            unique_together={('construction', 'start_date', 'end_date')},
        ),
        migrations.AddField(
            model_name='constructionpersonnelexpense',
            name='worker',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.Worker'),
        ),
        migrations.AddField(
            model_name='construction',
            name='favorite_workers',
            field=models.ManyToManyField(blank=True, related_name='favorite_constructions', to='construction.Worker'),
        ),
    ]
