# Generated by Django 2.0.13 on 2020-06-23 02:41

import ckeditor_uploader.fields
from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('product', '0020_historicalproduct'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('construction', '0006_auto_20200616_1448'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalConstruction',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('type', models.CharField(choices=[('FIX_AND_FLIP', 'Fix and Flip'), ('ADU', 'ADU')], max_length=32, verbose_name='Construction Type')),
                ('status', models.CharField(choices=[('PENDING', 'Ready'), ('IN_PROGRESS', 'In Progress'), ('COMPLETE', 'Complete')], default='PENDING', max_length=16, verbose_name='Construction Status')),
                ('title', models.CharField(max_length=100, verbose_name='Construction title')),
                ('budget', models.PositiveIntegerField(verbose_name='Budget (cent)')),
                ('start_date', models.DateField(verbose_name='Construction Start Date')),
                ('end_date', models.DateField(verbose_name='Construction End Date')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Product description')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='product.Product')),
            ],
            options={
                'verbose_name': 'historical construction',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalConstructionExpense',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('amount', models.PositiveIntegerField(verbose_name='Amount')),
                ('date', models.DateField(verbose_name='Date')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('category', models.CharField(choices=[('MATERIAL', 'Material'), ('TOOL', 'Tool'), ('RENTAL', 'Rental'), ('FURNITURE', 'Furniture'), ('FOOD', 'Food'), ('ACCOMMODATION_FEE', 'Accommodation Fee'), ('STORAGE_COST', 'Storage Cost'), ('FUEL_COST', 'Fuel Cost'), ('ETC', 'Etc.')], max_length=50, verbose_name='Category')),
                ('item', models.CharField(max_length=200, verbose_name='Item')),
                ('quantity', models.PositiveIntegerField(blank=True, null=True, verbose_name='Quantity')),
                ('attachment', models.TextField(blank=True, max_length=100, verbose_name='Attachment')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('construction', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.Construction')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical construction expense',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalConstructionPersonnelExpense',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('amount', models.PositiveIntegerField(verbose_name='Amount')),
                ('date', models.DateField(verbose_name='Date')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('work_hours', models.PositiveIntegerField(blank=True, null=True, verbose_name='Hour')),
                ('attachment', models.TextField(blank=True, max_length=100, verbose_name='Attachment')),
                ('payment_date', models.DateField(blank=True, null=True, verbose_name='Payment Date')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('construction', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.Construction')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('worker', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.Worker')),
            ],
            options={
                'verbose_name': 'historical construction personnel expense',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalConstructionReport',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('type', models.CharField(choices=[('DAILY', 'Daily'), ('WEEKLY', 'Weekly'), ('FINAL', 'Final')], max_length=20, verbose_name='Type')),
                ('start_date', models.DateField(verbose_name='From')),
                ('end_date', models.DateField(verbose_name='To')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Content')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('construction', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.Construction')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical construction report',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalConstructionWork',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('title', models.CharField(max_length=100, verbose_name='Work title')),
                ('zone_ids', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), blank=True, default=list, size=None)),
                ('work_date', django.contrib.postgres.fields.ArrayField(base_field=models.DateField(), blank=True, default=list, size=None)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('construction', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.Construction')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('type', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.WorkType')),
            ],
            options={
                'verbose_name': 'historical construction work',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
