# Generated by Django 2.0.13 on 2020-09-15 03:06

import buildblock.apps.construction.models
from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('construction', '0008_auto_20200703_1102'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConstructionOutsourcingContract',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='Amount')),
                ('attachment', models.FileField(blank=True, upload_to=buildblock.apps.construction.models.construction_outsourcing_expense_path, verbose_name='Attachment')),
                ('included_details', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('LABOR', 'Labor'), ('MATERIAL', 'Material'), ('ETC', 'Etc.')], max_length=30, verbose_name='Included Details'), default=list, size=None)),
                ('start_date', models.DateField(verbose_name='From')),
                ('end_date', models.DateField(verbose_name='To')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConstructionOutsourcingExpense',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='Amount')),
                ('date', models.DateField(verbose_name='Date')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('ordering', models.CharField(max_length=200, verbose_name='Ordering')),
                ('paid_amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='Paid Amount')),
                ('payment_date', models.DateField(blank=True, null=True, verbose_name='Payment Date')),
                ('attachment', models.FileField(blank=True, upload_to=buildblock.apps.construction.models.construction_outsourcing_expense_path, verbose_name='Attachment')),
                ('construction_work', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.ConstructionWork')),
                ('outsourcing_contract', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.ConstructionOutsourcingContract')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalConstructionOutsourcingContract',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='Amount')),
                ('attachment', models.TextField(blank=True, max_length=100, verbose_name='Attachment')),
                ('included_details', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('LABOR', 'Labor'), ('MATERIAL', 'Material'), ('ETC', 'Etc.')], max_length=30, verbose_name='Included Details'), default=list, size=None)),
                ('start_date', models.DateField(verbose_name='From')),
                ('end_date', models.DateField(verbose_name='To')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical construction outsourcing contract',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalConstructionOutsourcingExpense',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='Amount')),
                ('date', models.DateField(verbose_name='Date')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('ordering', models.CharField(max_length=200, verbose_name='Ordering')),
                ('paid_amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='Paid Amount')),
                ('payment_date', models.DateField(blank=True, null=True, verbose_name='Payment Date')),
                ('attachment', models.TextField(blank=True, max_length=100, verbose_name='Attachment')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('construction_work', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.ConstructionWork')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('outsourcing_contract', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.ConstructionOutsourcingContract')),
            ],
            options={
                'verbose_name': 'historical construction outsourcing expense',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.AddField(
            model_name='construction',
            name='method',
            field=models.CharField(choices=[('DIRECT_MANAGEMENT', 'Direct Management'), ('SEPARATE_ORDER', 'Separate Order'), ('INTEGRATED_ORDER', 'Integrated Order')], default='DIRECT_MANAGEMENT', max_length=32, verbose_name='Construction Method'),
        ),
        migrations.AddField(
            model_name='historicalconstruction',
            name='method',
            field=models.CharField(choices=[('DIRECT_MANAGEMENT', 'Direct Management'), ('SEPARATE_ORDER', 'Separate Order'), ('INTEGRATED_ORDER', 'Integrated Order')], default='DIRECT_MANAGEMENT', max_length=32, verbose_name='Construction Method'),
        ),
        migrations.AddField(
            model_name='historicalconstructionoutsourcingcontract',
            name='construction',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.Construction'),
        ),
        migrations.AddField(
            model_name='historicalconstructionoutsourcingcontract',
            name='contractor',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='construction.Worker'),
        ),
        migrations.AddField(
            model_name='historicalconstructionoutsourcingcontract',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='constructionoutsourcingcontract',
            name='construction',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.Construction'),
        ),
        migrations.AddField(
            model_name='constructionoutsourcingcontract',
            name='contractor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='construction.Worker'),
        ),
    ]
