# Generated by Django 2.0.13 on 2020-01-04 14:44

import ckeditor_uploader.fields
import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import buildblock.apps.investment.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Investment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('amount', models.IntegerField(verbose_name='Amount')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='InvestmentContract',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=200, unique=True, verbose_name='Contract Title')),
                ('identifier', models.CharField(blank=True, max_length=100, null=True)),
                ('document_file', models.FileField(blank=True, upload_to=buildblock.apps.investment.models.investment_contract_document_path, verbose_name='Document file')),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('fund', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='investment_contracts', to='investment.Investment')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='InvestmentProduct',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=200, unique=True, verbose_name='Investment Title')),
                ('start_date', models.DateField(blank=True, null=True, verbose_name='Start Date')),
                ('end_date', models.DateField(blank=True, null=True, verbose_name='End Date')),
                ('plan', models.FileField(blank=True, upload_to=buildblock.apps.investment.models.investment_product_plan_path, verbose_name='Investment Plan file')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Investment description')),
                ('manager', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='investment_manager', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='investment',
            name='investment_product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='investments', to='investment.InvestmentProduct'),
        ),
        migrations.AddField(
            model_name='investment',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='investor_investments', to=settings.AUTH_USER_MODEL),
        ),
    ]
