# Generated by Django 2.0.13 on 2020-08-06 08:29

import ckeditor_uploader.fields
import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('investment', '0008_historicalinvestment_historicalinvestmentcontract_historicalinvestmentproduct'),
    ]

    operations = [
        migrations.CreateModel(
            name='InvestmentStep',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=200, verbose_name='Step Title')),
                ('stage', models.CharField(max_length=20, verbose_name='Stage')),
                ('status', models.CharField(choices=[('PENDING', 'Pending'), ('IN_PROGRESS', 'In Progress'), ('COMPLETE', 'Complete')], default='PENDING', max_length=100, verbose_name='Status')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Description')),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('contract', models.ManyToManyField(blank=True, to='investment.InvestmentContract')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='InvestmentWorkflowTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('type', models.CharField(choices=[('INVESTMENT_WORKFLOW_HOUSE_FLIP', 'House Flipping Investment')], max_length=50, verbose_name='Workflow Type')),
                ('title', models.CharField(max_length=200, unique=True, verbose_name='Title')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Investment description')),
                ('stage_list', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('step_list', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='historicalinvestment',
            name='metadata',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True),
        ),
        migrations.AddField(
            model_name='investment',
            name='metadata',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True),
        ),
        migrations.AddField(
            model_name='investmentstep',
            name='investment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='investment_steps', to='investment.Investment'),
        ),
        migrations.AddField(
            model_name='historicalinvestment',
            name='workflow_template',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='investment.InvestmentWorkflowTemplate'),
        ),
        migrations.AddField(
            model_name='investment',
            name='workflow_template',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='workflow_investments', to='investment.InvestmentWorkflowTemplate'),
        ),
    ]
