# Generated by Django 2.0.13 on 2020-08-18 03:47

import ckeditor_uploader.fields
import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
import simple_history.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('investment', '0010_investmentstep_actor_role'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalInvestmentStep',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('title', models.CharField(max_length=200, verbose_name='Step Title')),
                ('stage', models.CharField(max_length=20, verbose_name='Stage')),
                ('status', models.CharField(choices=[('PENDING', 'Pending'), ('IN_PROGRESS', 'In Progress'), ('COMPLETE', 'Complete')], default='PENDING', max_length=100, verbose_name='Status')),
                ('actor_role', models.CharField(choices=[('investor_role', 'Investor'), ('manager_role', 'Manager')], default='manager_role', max_length=100, verbose_name='Actor Role')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Description')),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('investment', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='investment.Investment')),
            ],
            options={
                'verbose_name': 'historical investment step',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
