# Generated by Django 2.0.13 on 2020-11-17 05:26

import django.db.models.deletion
import simple_history.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('investment', '0014_auto_20200909_1058'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalInvestmentCompany',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('established_at', models.DateField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical investment company',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalInvestmentCompanyBankAccount',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('bank_name', models.CharField(choices=[('CHASE', 'Chase Bank'), ('BOA', 'Bank of America'), ('WELLS_FARGO', 'Wells Fargo'), ('US_BANK', 'U.S. Bank'), ('BBVA_COMPASS', 'BBVA Compass'), ('CAPITAL_ONE', 'Capital One Bank'), ('BOW', 'Bank of the west'), ('SANTANDER_CONSUMER', 'Santander Consumer Bank'), ('CITI', 'Citi Bank'), ('HUNTINGTON', 'Huntington Bank'), ('MT', 'M&T Bank'), ('WOODFOREST', 'Woodforest National Bank'), ('CITIZENS', 'Citizens Bank'), ('FIFTH_THIRD', 'Fifth Third Bank'), ('KEY', 'Key Bank'), ('TD', 'TD Bank'), ('SUN_TRUST', 'Sun Trust Bank'), ('REGIONS', 'Regions Bank'), ('PNC', 'PNC Bank'), ('BBT', 'BB&T Bank'), ('FIRST_NATIONAL', 'First National Bank'), ('BMO_HARRIS', 'BMO Harris Bank'), ('FIRST_CITIZENS', 'First Citizens Bank'), ('COMERICA', 'Comerica Bank'), ('PEOPLES_UNITED', "People's United Bank"), ('UMPQUA', 'Umpqua Bank'), ('OZK', 'Bank of the Ozarks'), ('HSBC', 'HSBC'), ('MUFG', 'MUFG Union Bank'), ('ARVEST', 'Arvest Bank'), ('CHEMICAL', 'Chemical Bank'), ('TCF', 'TCF Bank'), ('SYNOVUS', 'Synovus Bank'), ('BANCORP_SOUTH', 'Bancorp South Bank'), ('WASHINTON_FEDERAL', 'Washington Federal'), ('ASSICIATED', 'Assiciated Bank'), ('IBERIA', 'Iberiabank'), ('VALLEY', 'Valley National Bank'), ('WHITNEY', 'Whitney Bank'), ('TRUST_MARK', 'Trust Mark National Bank'), ('GREAT_WESTERN', 'Great Western Bank'), ('COLUMBIA_STATE', 'Columbia State Bank'), ('CENTENNIAL', 'Centennial Bank'), ('OLD_NATIONAL', 'Old National Bank'), ('SOUTH_STATE', 'South State Bank'), ('FIRST_TENNESSEE', 'First Tennessee Bank'), ('NBT', 'NBT Bank'), ('RENASANT', 'Renasant Bank'), ('BANNER', 'Banner Bank'), ('WEBSTER', 'Webster Bank'), ('SIMMONS', 'Simmons Bank'), ('UNITED', 'United Bank'), ('FROST', 'Frost Bank'), ('WESBANCO', 'WesBanco Bank'), ('COMMERCE', 'Commerce Bank'), ('INVESTORS', 'Investors Bank'), ('TRUSTCO', 'TrustCo Bank'), ('FIRST_COMMONWEALTH', 'First Commonwealth Bank'), ('STERLING', 'Sterling National Bank'), ('CARTER', 'Carter Bank And Trust'), ('FIRST_MIDWEST', 'First Midwest Bank'), ('FIRST', 'First Bank'), ('PARK_NATIONAL', 'Park National Bank'), ('PINNACLE', 'Pinnacle Bank'), ('GLACIER', 'Glacier Bank'), ('FULTON', 'Fulton Bank'), ('RABO', 'Rabobank'), ('ZIONS', 'Zions Bank'), ('FIRST_MERCHANTS', 'First Merchants Bank'), ('EAST_WEST', 'East West Bank'), ('FIRST_INTERSTATE', 'First Interstate Bank'), ('UNION', 'Union Bank and Trust'), ('GREAT_SOUTHERN', 'Great Southern Bank'), ('FLAGSTER', 'Flagster Bank')], max_length=24, verbose_name='Bank Name')),
                ('bank_routing_number', models.CharField(max_length=9, verbose_name='Bank Routing Number')),
                ('bank_account_number', models.CharField(max_length=20, verbose_name='Bank Account Number')),
                ('name', models.CharField(max_length=200, verbose_name='Account Name')),
                ('balance', models.PositiveIntegerField(default=0)),
                ('opened_at', models.DateField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical investment company bank account',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalInvestmentCompanyBankTransaction',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('to_entity_type', models.CharField(choices=[('UNKNOWN', 'Unknown'), ('USER', 'User'), ('COMPANY', 'Company')], max_length=20, verbose_name='To Type')),
                ('to_entity_id', models.IntegerField(verbose_name='To ID')),
                ('from_entity_type', models.CharField(choices=[('UNKNOWN', 'Unknown'), ('USER', 'User'), ('COMPANY', 'Company')], max_length=20, verbose_name='From Type')),
                ('from_entity_id', models.IntegerField(verbose_name='From ID')),
                ('category', models.CharField(choices=[('DEPOSIT', 'deposit'), ('WITHDRAWAL', 'withdrawal'), ('RETURN', 'return'), ('INVEST', 'invest')], max_length=20)),
                ('amount', models.IntegerField(blank=True, null=True, verbose_name='Amount')),
                ('description', models.CharField(max_length=500)),
                ('event_at', models.DateTimeField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('investment', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='investment.Investment')),
            ],
            options={
                'verbose_name': 'historical investment company bank transaction',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='InvestmentCompany',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('established_at', models.DateField()),
                ('users', models.ManyToManyField(blank=True, related_name='owned_companies', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='InvestmentCompanyBankAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('bank_name', models.CharField(choices=[('CHASE', 'Chase Bank'), ('BOA', 'Bank of America'), ('WELLS_FARGO', 'Wells Fargo'), ('US_BANK', 'U.S. Bank'), ('BBVA_COMPASS', 'BBVA Compass'), ('CAPITAL_ONE', 'Capital One Bank'), ('BOW', 'Bank of the west'), ('SANTANDER_CONSUMER', 'Santander Consumer Bank'), ('CITI', 'Citi Bank'), ('HUNTINGTON', 'Huntington Bank'), ('MT', 'M&T Bank'), ('WOODFOREST', 'Woodforest National Bank'), ('CITIZENS', 'Citizens Bank'), ('FIFTH_THIRD', 'Fifth Third Bank'), ('KEY', 'Key Bank'), ('TD', 'TD Bank'), ('SUN_TRUST', 'Sun Trust Bank'), ('REGIONS', 'Regions Bank'), ('PNC', 'PNC Bank'), ('BBT', 'BB&T Bank'), ('FIRST_NATIONAL', 'First National Bank'), ('BMO_HARRIS', 'BMO Harris Bank'), ('FIRST_CITIZENS', 'First Citizens Bank'), ('COMERICA', 'Comerica Bank'), ('PEOPLES_UNITED', "People's United Bank"), ('UMPQUA', 'Umpqua Bank'), ('OZK', 'Bank of the Ozarks'), ('HSBC', 'HSBC'), ('MUFG', 'MUFG Union Bank'), ('ARVEST', 'Arvest Bank'), ('CHEMICAL', 'Chemical Bank'), ('TCF', 'TCF Bank'), ('SYNOVUS', 'Synovus Bank'), ('BANCORP_SOUTH', 'Bancorp South Bank'), ('WASHINTON_FEDERAL', 'Washington Federal'), ('ASSICIATED', 'Assiciated Bank'), ('IBERIA', 'Iberiabank'), ('VALLEY', 'Valley National Bank'), ('WHITNEY', 'Whitney Bank'), ('TRUST_MARK', 'Trust Mark National Bank'), ('GREAT_WESTERN', 'Great Western Bank'), ('COLUMBIA_STATE', 'Columbia State Bank'), ('CENTENNIAL', 'Centennial Bank'), ('OLD_NATIONAL', 'Old National Bank'), ('SOUTH_STATE', 'South State Bank'), ('FIRST_TENNESSEE', 'First Tennessee Bank'), ('NBT', 'NBT Bank'), ('RENASANT', 'Renasant Bank'), ('BANNER', 'Banner Bank'), ('WEBSTER', 'Webster Bank'), ('SIMMONS', 'Simmons Bank'), ('UNITED', 'United Bank'), ('FROST', 'Frost Bank'), ('WESBANCO', 'WesBanco Bank'), ('COMMERCE', 'Commerce Bank'), ('INVESTORS', 'Investors Bank'), ('TRUSTCO', 'TrustCo Bank'), ('FIRST_COMMONWEALTH', 'First Commonwealth Bank'), ('STERLING', 'Sterling National Bank'), ('CARTER', 'Carter Bank And Trust'), ('FIRST_MIDWEST', 'First Midwest Bank'), ('FIRST', 'First Bank'), ('PARK_NATIONAL', 'Park National Bank'), ('PINNACLE', 'Pinnacle Bank'), ('GLACIER', 'Glacier Bank'), ('FULTON', 'Fulton Bank'), ('RABO', 'Rabobank'), ('ZIONS', 'Zions Bank'), ('FIRST_MERCHANTS', 'First Merchants Bank'), ('EAST_WEST', 'East West Bank'), ('FIRST_INTERSTATE', 'First Interstate Bank'), ('UNION', 'Union Bank and Trust'), ('GREAT_SOUTHERN', 'Great Southern Bank'), ('FLAGSTER', 'Flagster Bank')], max_length=24, verbose_name='Bank Name')),
                ('bank_routing_number', models.CharField(max_length=9, verbose_name='Bank Routing Number')),
                ('bank_account_number', models.CharField(max_length=20, verbose_name='Bank Account Number')),
                ('name', models.CharField(max_length=200, verbose_name='Account Name')),
                ('balance', models.PositiveIntegerField(default=0)),
                ('opened_at', models.DateField()),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='accounts', to='investment.InvestmentCompany')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='InvestmentCompanyBankTransaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('to_entity_type', models.CharField(choices=[('UNKNOWN', 'Unknown'), ('USER', 'User'), ('COMPANY', 'Company')], max_length=20, verbose_name='To Type')),
                ('to_entity_id', models.IntegerField(verbose_name='To ID')),
                ('from_entity_type', models.CharField(choices=[('UNKNOWN', 'Unknown'), ('USER', 'User'), ('COMPANY', 'Company')], max_length=20, verbose_name='From Type')),
                ('from_entity_id', models.IntegerField(verbose_name='From ID')),
                ('category', models.CharField(choices=[('DEPOSIT', 'deposit'), ('WITHDRAWAL', 'withdrawal'), ('RETURN', 'return'), ('INVEST', 'invest')], max_length=20)),
                ('amount', models.IntegerField(blank=True, null=True, verbose_name='Amount')),
                ('description', models.CharField(max_length=500)),
                ('event_at', models.DateTimeField()),
                ('investment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='investment_transactions', to='investment.Investment')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='historicalinvestmentcompanybankaccount',
            name='company',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='investment.InvestmentCompany'),
        ),
        migrations.AddField(
            model_name='historicalinvestmentcompanybankaccount',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalinvestment',
            name='company',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='investment.InvestmentCompany'),
        ),
        migrations.AddField(
            model_name='investment',
            name='company',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='company_investments', to='investment.InvestmentCompany'),
        ),
        migrations.AlterUniqueTogether(
            name='investment',
            unique_together={('investment_product', 'company')},
        ),
    ]
