# Generated by Django 2.0.13 on 2020-09-29 09:06

import datetime

import ckeditor_uploader.fields
import django.db.models.deletion
import simple_history.models
from django.conf import settings
from django.db import migrations, models

import buildblock.apps.landing.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('landing', '0006_auto_20200814_1635'),
    ]

    operations = [
        migrations.CreateModel(
            name='CaseStudy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(choices=[('PENDING', 'Pending'), ('IN_PROGRESS', 'In Progress'), ('COMPLETE', 'Complete')], default='PENDING', max_length=16, verbose_name='Status')),
                ('language', models.CharField(choices=[('en', 'English'), ('ko', 'Korean')], max_length=50, verbose_name='Language')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('thumbnail', models.ImageField(blank=True, null=True, upload_to='landing/casestudy', verbose_name='Thumbnail')),
                ('purchase_price', models.PositiveIntegerField(blank=True, null=True, verbose_name='Purchase Price')),
                ('selling_price', models.PositiveIntegerField(blank=True, null=True, verbose_name='Selling Price')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(max_length=30000, verbose_name='Content')),
                ('map_url', models.CharField(blank=True, max_length=500, verbose_name='Google Map Url')),
                ('report_date', models.DateField(default=datetime.date.today, verbose_name='Report Date')),
                ('headline', models.BooleanField(default=False, verbose_name='Headline')),
                ('is_private', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CaseStudyPicture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(choices=[('BEFORE', 'BEFORE'), ('AFTER', 'AFTER')], default='BEFORE', max_length=16, verbose_name='Status')),
                ('picture', models.ImageField(upload_to=buildblock.apps.landing.paths.case_study_photo_path, verbose_name='Picture')),
                ('case_product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='landing.CaseStudy')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalCaseStudy',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('status', models.CharField(choices=[('PENDING', 'Pending'), ('IN_PROGRESS', 'In Progress'), ('COMPLETE', 'Complete')], default='PENDING', max_length=16, verbose_name='Status')),
                ('language', models.CharField(choices=[('en', 'English'), ('ko', 'Korean')], max_length=50, verbose_name='Language')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('thumbnail', models.TextField(blank=True, max_length=100, null=True, verbose_name='Thumbnail')),
                ('purchase_price', models.PositiveIntegerField(blank=True, null=True, verbose_name='Purchase Price')),
                ('selling_price', models.PositiveIntegerField(blank=True, null=True, verbose_name='Selling Price')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(max_length=30000, verbose_name='Content')),
                ('map_url', models.CharField(blank=True, max_length=500, verbose_name='Google Map Url')),
                ('report_date', models.DateField(default=datetime.date.today, verbose_name='Report Date')),
                ('headline', models.BooleanField(default=False, verbose_name='Headline')),
                ('is_private', models.BooleanField(default=False)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical case study',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalNews',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('news_category', models.CharField(choices=[('NEWS', 'News'), ('BLOG', 'Blog'), ('NOTICE', 'Notice'), ('EVENT', 'Event'), ('INTERVIEW', 'Interview'), ('CAREER', 'Career')], max_length=20, verbose_name='Category')),
                ('language', models.CharField(choices=[('en', 'English'), ('ko', 'Korean')], max_length=50, verbose_name='Language')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('writer', models.CharField(blank=True, max_length=100, null=True, verbose_name='Writer')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(max_length=30000, verbose_name='Content')),
                ('thumbnail', models.TextField(blank=True, max_length=100, null=True, verbose_name='Thumbnail')),
                ('report_date', models.DateField(default=datetime.date.today, verbose_name='Report Date')),
                ('headline', models.BooleanField(default=False, verbose_name='Headline')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical news',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
