# Generated by Django 2.0.13 on 2021-01-06 02:34

import django.core.validators
import django_better_admin_arrayfield.models.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('landing', '0009_auto_20201026_1800'),
    ]

    operations = [
        migrations.CreateModel(
            name='History',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('year', models.IntegerField(validators=[django.core.validators.MinValueValidator(2017)], verbose_name='Year')),
                ('quarter', models.IntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4)], verbose_name='Quarter')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('title_en', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('title_ko', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('subtitle', models.CharField(blank=True, max_length=200, null=True, verbose_name='Sub Title')),
                ('subtitle_en', models.CharField(blank=True, max_length=200, null=True, verbose_name='Sub Title')),
                ('subtitle_ko', models.CharField(blank=True, max_length=200, null=True, verbose_name='Sub Title')),
                ('ordering', models.CharField(default=1, max_length=200, verbose_name='Ordering')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('department', models.CharField(choices=[('EXECUTIVE', 'Executive'), ('ADVISOR', 'Advisor'), ('TECH_ENGINEERING', 'Tech Engineering'), ('MARKETING', 'Biz Dev / Marketing'), ('CONSTRUCTION', 'Construction')], max_length=50, verbose_name='Department')),
                ('profile_image', models.ImageField(blank=True, null=True, upload_to='landing/team', verbose_name='Profile Image')),
                ('name', models.CharField(max_length=30, verbose_name='Name')),
                ('name_en', models.CharField(max_length=30, null=True, verbose_name='Name')),
                ('name_ko', models.CharField(max_length=30, null=True, verbose_name='Name')),
                ('position', models.CharField(max_length=100, verbose_name='Position')),
                ('work_experience', django_better_admin_arrayfield.models.fields.ArrayField(base_field=models.CharField(max_length=200, verbose_name='Work Experience'), blank=True, default=list, size=None)),
                ('work_experience_en', django_better_admin_arrayfield.models.fields.ArrayField(base_field=models.CharField(max_length=200, verbose_name='Work Experience'), blank=True, default=list, null=True, size=None)),
                ('work_experience_ko', django_better_admin_arrayfield.models.fields.ArrayField(base_field=models.CharField(max_length=200, verbose_name='Work Experience'), blank=True, default=list, null=True, size=None)),
                ('education', django_better_admin_arrayfield.models.fields.ArrayField(base_field=models.CharField(max_length=200, verbose_name='Education'), blank=True, default=list, size=None)),
                ('education_en', django_better_admin_arrayfield.models.fields.ArrayField(base_field=models.CharField(max_length=200, verbose_name='Education'), blank=True, default=list, null=True, size=None)),
                ('education_ko', django_better_admin_arrayfield.models.fields.ArrayField(base_field=models.CharField(max_length=200, verbose_name='Education'), blank=True, default=list, null=True, size=None)),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_en', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_ko', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('ordering', models.CharField(default=1, max_length=100, verbose_name='Ordering')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
