# Generated by Django 2.0.13 on 2021-02-16 04:41

import buildblock.apps.landing.paths
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('landing', '0010_history_team'),
    ]

    operations = [
        migrations.CreateModel(
            name='LandingCarousel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('ordering', models.CharField(default=1, max_length=100, verbose_name='Ordering')),
                ('start_date', models.DateTimeField(verbose_name='From')),
                ('end_date', models.DateTimeField(verbose_name='To')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('title_en', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('title_ko', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_en', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_ko', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('button_title', models.CharField(blank=True, max_length=50, null=True, verbose_name='Button Title')),
                ('button_title_en', models.CharField(blank=True, max_length=50, null=True, verbose_name='Button Title')),
                ('button_title_ko', models.CharField(blank=True, max_length=50, null=True, verbose_name='Button Title')),
                ('button_url', models.CharField(blank=True, max_length=500, null=True, verbose_name='Button Url')),
                ('image', models.ImageField(upload_to=buildblock.apps.landing.paths.landing_carousel_path, verbose_name='Banner Image')),
                ('image_en', models.ImageField(null=True, upload_to=buildblock.apps.landing.paths.landing_carousel_path, verbose_name='Banner Image')),
                ('image_ko', models.ImageField(null=True, upload_to=buildblock.apps.landing.paths.landing_carousel_path, verbose_name='Banner Image')),
                ('image_mobile', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_carousel_path, verbose_name='Banner Mobile Image')),
                ('image_mobile_en', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_carousel_path, verbose_name='Banner Mobile Image')),
                ('image_mobile_ko', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_carousel_path, verbose_name='Banner Mobile Image')),
                ('is_active', models.BooleanField(default=False, verbose_name='Is Active')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('language', models.CharField(choices=[('en', 'English'), ('ko', 'Korean')], max_length=50, verbose_name='Language')),
                ('document', models.FileField(upload_to=buildblock.apps.landing.paths.landing_document_path, verbose_name='Document')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingInformation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('email', models.CharField(max_length=50, verbose_name='Email')),
                ('telephone', models.CharField(max_length=50, verbose_name='Telephone')),
                ('address', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('sns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingPopup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('start_date', models.DateTimeField(verbose_name='From')),
                ('end_date', models.DateTimeField(verbose_name='To')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('title_en', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('title_ko', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('url', models.CharField(blank=True, max_length=500, null=True, verbose_name='Url')),
                ('image', models.ImageField(upload_to=buildblock.apps.landing.paths.landing_popup_path, verbose_name='Popup Image')),
                ('image_en', models.ImageField(null=True, upload_to=buildblock.apps.landing.paths.landing_popup_path, verbose_name='Popup Image')),
                ('image_ko', models.ImageField(null=True, upload_to=buildblock.apps.landing.paths.landing_popup_path, verbose_name='Popup Image')),
                ('image_mobile', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_popup_path, verbose_name='Popup Mobile Image')),
                ('image_mobile_en', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_popup_path, verbose_name='Popup Mobile Image')),
                ('image_mobile_ko', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_popup_path, verbose_name='Popup Mobile Image')),
                ('is_active', models.BooleanField(default=False, verbose_name='Is Active')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingThinBanner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('start_date', models.DateTimeField(verbose_name='From')),
                ('end_date', models.DateTimeField(verbose_name='To')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('title_en', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('title_ko', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('url', models.CharField(blank=True, max_length=500, null=True, verbose_name='Url')),
                ('image', models.ImageField(upload_to=buildblock.apps.landing.paths.landing_thin_banner_path, verbose_name='Banner Image')),
                ('image_en', models.ImageField(null=True, upload_to=buildblock.apps.landing.paths.landing_thin_banner_path, verbose_name='Banner Image')),
                ('image_ko', models.ImageField(null=True, upload_to=buildblock.apps.landing.paths.landing_thin_banner_path, verbose_name='Banner Image')),
                ('image_mobile', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_thin_banner_path, verbose_name='Banner Mobile Image')),
                ('image_mobile_en', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_thin_banner_path, verbose_name='Banner Mobile Image')),
                ('image_mobile_ko', models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.landing_thin_banner_path, verbose_name='Banner Mobile Image')),
                ('is_active', models.BooleanField(default=False, verbose_name='Is Active')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingVideo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('title_en', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('title_ko', models.CharField(max_length=200, null=True, verbose_name='Title')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_en', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_ko', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('playlist_url', models.CharField(blank=True, max_length=500, null=True, verbose_name='Playlist Url')),
                ('video_url', models.CharField(max_length=500, verbose_name='Video Url')),
                ('ordering', models.CharField(default=1, max_length=100, verbose_name='Ordering')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='casestudy',
            name='status',
            field=models.CharField(choices=[('PENDING', 'Pending'), ('OPEN', 'Open'), ('ACTIVE', 'Active'), ('COMPLETE', 'Complete')], default='PENDING', max_length=16, verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='casestudy',
            name='thumbnail',
            field=models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.case_study_thumbnail_path, verbose_name='Thumbnail'),
        ),
        migrations.AlterField(
            model_name='historicalcasestudy',
            name='status',
            field=models.CharField(choices=[('PENDING', 'Pending'), ('OPEN', 'Open'), ('ACTIVE', 'Active'), ('COMPLETE', 'Complete')], default='PENDING', max_length=16, verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='news',
            name='thumbnail',
            field=models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.news_thumbnail_path, verbose_name='Thumbnail'),
        ),
        migrations.AlterField(
            model_name='team',
            name='profile_image',
            field=models.ImageField(blank=True, null=True, upload_to=buildblock.apps.landing.paths.team_profile_image_path, verbose_name='Profile Image'),
        ),
    ]
