# Generated by Django 2.0.13 on 2019-08-02 05:38

from django.conf import settings
import django.contrib.postgres.fields.jsonb
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('product', '0002_auto_20190802_1438'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('period', models.CharField(max_length=15, validators=[django.core.validators.RegexValidator('^\\d{4}-\\d{2}$', 'Period for invoice field should be in the format of YYYY-MM')], verbose_name='Period')),
                ('unit', models.CharField(choices=[('', ''), ('KRW', 'KRW'), ('USD', 'USD')], default='USD', max_length=20)),
                ('detailed_amount', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('amount', models.PositiveIntegerField(verbose_name='Rent')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='invoice_owner', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='invoice_product', to='product.Product')),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='invoice_tenant', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Lease',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('room_num', models.PositiveIntegerField(verbose_name='Room Number')),
                ('status', models.CharField(choices=[('ACTIVE', 'ACTIVE'), ('PENDING', 'PENDING'), ('COMPLETE', 'COMPLETE')], max_length=20, verbose_name='Status')),
                ('start_date', models.DateTimeField(verbose_name='Start Date')),
                ('end_date', models.DateTimeField(verbose_name='End Date')),
                ('rent', models.PositiveIntegerField(verbose_name='Rent')),
                ('deposit', models.PositiveIntegerField(verbose_name='Rent')),
                ('move_in_date', models.DateTimeField(blank=True, null=True, verbose_name='Move-in Date')),
                ('move_out_date', models.DateTimeField(blank=True, null=True, verbose_name='Move-out Date')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lease_owner', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lease_product', to='product.Product')),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lease_tenant', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Maintenance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('is_read', models.BooleanField(default=False)),
                ('status', models.CharField(choices=[('IN_PROGRESS', 'IN_PROGRESS'), ('DONE', 'DONE'), ('PENDING', 'PENDING'), ('WONT_FIX', 'WONT_FIX')], max_length=20, verbose_name='Status')),
                ('title', models.CharField(max_length=100, verbose_name='Title')),
                ('content', models.CharField(max_length=400, verbose_name='Content')),
                ('comments', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='maintenance_invoice', to='product.Product')),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='maintenance_tenant', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
