# Generated by Django 2.0.13 on 2020-06-23 02:41

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('product', '0020_historicalproduct'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('management', '0008_auto_20200611_1507'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalLease',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('room_num', models.PositiveIntegerField(verbose_name='Room Number')),
                ('status', models.CharField(choices=[('ACTIVE', 'ACTIVE'), ('PENDING', 'PENDING'), ('COMPLETE', 'COMPLETE')], max_length=20, verbose_name='Status')),
                ('start_date', models.DateField(verbose_name='Start Date')),
                ('end_date', models.DateField(verbose_name='End Date')),
                ('rent', models.PositiveIntegerField(verbose_name='Rent')),
                ('deposit', models.PositiveIntegerField(verbose_name='Deposit')),
                ('payment_day', models.PositiveIntegerField(default=1, validators=[django.core.validators.MaxValueValidator(31)], verbose_name='Payment Day')),
                ('move_in_date', models.DateTimeField(blank=True, null=True, verbose_name='Move-in Date')),
                ('move_out_date', models.DateTimeField(blank=True, null=True, verbose_name='Move-out Date')),
                ('is_auto_paid', models.BooleanField(default=False, verbose_name='Automatic Payment')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('owner', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='product.Product')),
                ('tenant', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical lease',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
