# Generated by Django 2.0.13 on 2021-06-21 06:10

import django.contrib.postgres.fields
import django.db.models.deletion
import simple_history.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('messaging', '0004_auto_20210618_1549'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalMessagingRequests',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('content', models.TextField(verbose_name='Content')),
                ('sender', models.EmailField(max_length=254, verbose_name='Sender')),
                ('receivers', django.contrib.postgres.fields.ArrayField(base_field=models.EmailField(max_length=254, verbose_name='receiver'), size=None)),
                ('sent_at', models.DateTimeField(blank=True, null=True, verbose_name='Sent at Date')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical messaging requests',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='MessagingRequests',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('content', models.TextField(verbose_name='Content')),
                ('sender', models.EmailField(max_length=254, verbose_name='Sender')),
                ('receivers', django.contrib.postgres.fields.ArrayField(base_field=models.EmailField(max_length=254, verbose_name='receiver'), size=None)),
                ('sent_at', models.DateTimeField(blank=True, null=True, verbose_name='Sent at Date')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
