'''
List of full Stripe event types
https://stripe.com/docs/api/events/types
'''

ACCOUNT_UPDATED = 'account.updated'
ACCOUNT_APPLICATION_AUTHORIZED = 'account.application.authorized'
ACCOUNT_APPLICATION_DEAUTHORIZED = 'account.application.deauthorized'
ACCOUNT_EXTERNAL_ACCOUNT_CREATED = 'account.external_account.created'
ACCOUNT_EXTERNAL_ACCOUNT_DELETED = 'account.external_account.deleted'
ACCOUNT_EXTERNAL_ACCOUNT_UPDATED = 'account.external_account.updated'
APPLICATION_FEE_CREATED = 'application_fee.created'
APPLICATION_FEE_REFUNDED = 'application_fee.refunded'
APPLICATION_FEE_REFUND_UPDATED = 'application_fee.refund.updated'
BALANCE_AVAILABLE = 'balance.available'
CAPABILITY_UPDATED = 'capability.updated'
CHARGE_CAPTURED = 'charge.captured'
CHARGE_EXPIRED = 'charge.expired'
CHARGE_FAILED = 'charge.failed'
CHARGE_PENDING = 'charge.pending'
CHARGE_REFUNDED = 'charge.refunded'
CHARGE_SUCCEEDED = 'charge.succeeded'
CHARGE_UPDATED = 'charge.updated'
CHARGE_DISPUTE_CLOSED = 'charge.dispute.closed'
CHARGE_DISPUTE_CREATED = 'charge.dispute.created'
CHARGE_DISPUTE_FUNDS_REINSTATED = 'charge.dispute.funds_reinstated'
CHARGE_DISPUTE_FUNDS_WITHDRAWN = 'charge.dispute.funds_withdrawn'
CHARGE_DISPUTE_UPDATED = 'charge.dispute.updated'
CHARGE_REFUND_UPDATED = 'charge.refund.updated'
CHECKOUT_SESSION_COMPLETED = 'checkout.session.completed'
COUPON_CREATED = 'coupon.created'
COUPON_DELETED = 'coupon.deleted'
COUPON_UPDATED = 'coupon.updated'
CREDIT_NOTE_CREATED = 'credit_note.created'
CREDIT_NOTE_UPDATED = 'credit_note.updated'
CREDIT_NOTE_VOIDED = 'credit_note.voided'
CUSTOMER_CREATED = 'customer.created'
CUSTOMER_DELETED = 'customer.deleted'
CUSTOMER_UPDATED = 'customer.updated'
CUSTOMER_DISCOUNT_CREATED = 'customer.discount.created'
CUSTOMER_DISCOUNT_DELETED = 'customer.discount.deleted'
CUSTOMER_DISCOUNT_UPDATED = 'customer.discount.updated'
CUSTOMER_SOURCE_CREATED = 'customer.source.created'
CUSTOMER_SOURCE_DELETED = 'customer.source.deleted'
CUSTOMER_SOURCE_EXPIRING = 'customer.source.expiring'
CUSTOMER_SOURCE_UPDATED = 'customer.source.updated'
CUSTOMER_SUBSCRIPTION_CREATED = 'customer.subscription.created'
CUSTOMER_SUBSCRIPTION_DELETED = 'customer.subscription.deleted'
CUSTOMER_SUBSCRIPTION_TRIAL_WILL_END = 'customer.subscription.trial_will_end'
CUSTOMER_SUBSCRIPTION_UPDATED = 'customer.subscription.updated'
CUSTOMER_TAX_ID_CREATED = 'customer.tax_id.created'
CUSTOMER_TAX_ID_DELETED = 'customer.tax_id.deleted'
CUSTOMER_TAX_ID_UPDATED = 'customer.tax_id.updated'
FILE_CREATED = 'file.created'
INVOICE_CREATED = 'invoice.created'
INVOICE_DELETED = 'invoice.deleted'
INVOICE_FINALIZED = 'invoice.finalized'
INVOICE_MARKED_UNCOLLECTIBLE = 'invoice.marked_uncollectible'
INVOICE_PAYMENT_ACTION_REQUIRED = 'invoice.payment_action_required'
INVOICE_PAYMENT_FAILED = 'invoice.payment_failed'
INVOICE_PAYMENT_SUCCEEDED = 'invoice.payment_succeeded'
INVOICE_SENT = 'invoice.sent'
INVOICE_UPCOMING = 'invoice.upcoming'
INVOICE_UPDATED = 'invoice.updated'
INVOICE_VOIDED = 'invoice.voided'
INVOICEITEM_CREATED = 'invoiceitem.created'
INVOICEITEM_DELETED = 'invoiceitem.deleted'
INVOICEITEM_UPDATED = 'invoiceitem.updated'
ISSUING_AUTHORIZATION_CREATED = 'issuing_authorization.created'
ISSUING_AUTHORIZATION_REQUEST = 'issuing_authorization.request'
ISSUING_AUTHORIZATION_UPDATED = 'issuing_authorization.updated'
ISSUING_CARD_CREATED = 'issuing_card.created'
ISSUING_CARD_UPDATED = 'issuing_card.updated'
ISSUING_CARDHOLDER_CREATED = 'issuing_cardholder.created'
ISSUING_CARDHOLDER_UPDATED = 'issuing_cardholder.updated'
ISSUING_DISPUTE_CREATED = 'issuing_dispute.created'
ISSUING_DISPUTE_UPDATED = 'issuing_dispute.updated'
ISSUING_SETTLEMENT_CREATED = 'issuing_settlement.created'
ISSUING_SETTLEMENT_UPDATED = 'issuing_settlement.updated'
ISSUING_TRANSACTION_CREATED = 'issuing_transaction.created'
ISSUING_TRANSACTION_UPDATED = 'issuing_transaction.updated'
ORDER_CREATED = 'order.created'
ORDER_PAYMENT_FAILED = 'order.payment_failed'
ORDER_PAYMENT_SUCCEEDED = 'order.payment_succeeded'
ORDER_UPDATED = 'order.updated'
ORDER_RETURN_CREATED = 'order_return.created'
PAYMENT_INTENT_AMOUNT_CAPTURABLE_UPDATED = 'payment_intent.amount_capturable_updated'
PAYMENT_INTENT_CREATED = 'payment_intent.created'
PAYMENT_INTENT_PAYMENT_FAILED = 'payment_intent.payment_failed'
PAYMENT_INTENT_SUCCEEDED = 'payment_intent.succeeded'
PAYMENT_METHOD_ATTACHED = 'payment_method.attached'
PAYMENT_METHOD_CARD_AUTOMATICALLY_UPDATED = 'payment_method.card_automatically_updated'
PAYMENT_METHOD_DETACHED = 'payment_method.detached'
PAYMENT_METHOD_UPDATED = 'payment_method.updated'
PAYOUT_CANCELED = 'payout.canceled'
PAYOUT_CREATED = 'payout.created'
PAYOUT_FAILED = 'payout.failed'
PAYOUT_PAID = 'payout.paid'
PAYOUT_UPDATED = 'payout.updated'
PERSON_CREATED = 'person.created'
PERSON_DELETED = 'person.deleted'
PERSON_UPDATED = 'person.updated'
PLAN_CREATED = 'plan.created'
PLAN_DELETED = 'plan.deleted'
PLAN_UPDATED = 'plan.updated'
PRODUCT_CREATED = 'product.created'
PRODUCT_DELETED = 'product.deleted'
PRODUCT_UPDATED = 'product.updated'
RADAR_EARLY_FRAUD_WARNING_CREATED = 'radar.early_fraud_warning.created'
RADAR_EARLY_FRAUD_WARNING_UPDATED = 'radar.early_fraud_warning.updated'
RECIPIENT_CREATED = 'recipient.created'
RECIPIENT_DELETED = 'recipient.deleted'
RECIPIENT_UPDATED = 'recipient.updated'
REPORTING_REPORT_RUN_FAILED = 'reporting.report_run.failed'
REPORTING_REPORT_RUN_SUCCEEDED = 'reporting.report_run.succeeded'
REPORTING_REPORT_TYPE_UPDATED = 'reporting.report_type.updated'
REVIEW_CLOSED = 'review.closed'
REVIEW_OPENED = 'review.opened'
SETUP_INTENT_CREATED = 'setup_intent.created'
SETUP_INTENT_SETUP_FAILED = 'setup_intent.setup_failed'
SETUP_INTENT_SUCCEEDED = 'setup_intent.succeeded'
SIGMA_SCHEDULED_QUERY_RUN_CREATED = 'sigma.scheduled_query_run.created'
SKU_CREATED = 'sku.created'
SKU_DELETED = 'sku.deleted'
SKU_UPDATED = 'sku.updated'
SOURCE_CANCELED = 'source.canceled'
SOURCE_CHARGEABLE = 'source.chargeable'
SOURCE_FAILED = 'source.failed'
SOURCE_MANDATE_NOTIFICATION = 'source.mandate_notification'
SOURCE_REFUND_ATTRIBUTES_REQUIRED = 'source.refund_attributes_required'
SOURCE_TRANSACTION_CREATED = 'source.transaction.created'
SOURCE_TRANSACTION_UPDATED = 'source.transaction.updated'
SUBSCRIPTION_SCHEDULE_ABORTED = 'subscription_schedule.aborted'
SUBSCRIPTION_SCHEDULE_CANCELED = 'subscription_schedule.canceled'
SUBSCRIPTION_SCHEDULE_COMPLETED = 'subscription_schedule.completed'
SUBSCRIPTION_SCHEDULE_CREATED = 'subscription_schedule.created'
SUBSCRIPTION_SCHEDULE_EXPIRING = 'subscription_schedule.expiring'
SUBSCRIPTION_SCHEDULE_RELEASED = 'subscription_schedule.released'
SUBSCRIPTION_SCHEDULE_UPDATED = 'subscription_schedule.updated'
TAX_RATE_CREATED = 'tax_rate.created'
TAX_RATE_UPDATED = 'tax_rate.updated'
TOPUP_CANCELED = 'topup.canceled'
TOPUP_CREATED = 'topup.created'
TOPUP_FAILED = 'topup.failed'
TOPUP_REVERSED = 'topup.reversed'
TOPUP_SUCCEEDED = 'topup.succeeded'
TRANSFER_CREATED = 'transfer.created'
TRANSFER_FAILED = 'transfer.failed'
TRANSFER_PAID = 'transfer.paid'
TRANSFER_REVERSED = 'transfer.reversed'
TRANSFER_UPDATED = 'transfer.updated'

'''
non-api related constants
'''
AUTHORIZATION_CODE = 'authorization_code'

'''
status constants
'''
ACCOUNT_VERIFIED = 'verified'
PAYMENT_PENDING = 'pending'

'''
payment source type
'''
BANK_ACCOUNT = 'bank_account'
CARD = 'card'

TRANSFER_SOURCE_TYPES = (
    (BANK_ACCOUNT, "Bank Account"),
    (CARD, "Card"),
)

'''
currency
'''
CURRENCY_USD = 'usd'
