# Generated by Django 2.0.13 on 2020-06-23 02:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('product', '0020_historicalproduct'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('payments', '0014_paymenttransfers_transfer_datetime'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalPaymentTransfers',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('amount', models.PositiveIntegerField()),
                ('application_fee', models.PositiveIntegerField(default=0)),
                ('currency', models.CharField(max_length=10)),
                ('destination_account', models.CharField(blank=True, max_length=32, null=True)),
                ('account_type', models.CharField(choices=[('stripe', 'Stripe')], max_length=32)),
                ('identifier', models.CharField(max_length=60)),
                ('status', models.CharField(choices=[('PENDING', 'PENDING'), ('COMPLETE', 'COMPLETE'), ('FAILED_NO_DESTINATION_ACCOUNT', 'FAILED_NO_DESTINATION_ACCOUNT'), ('FAILED_OTHER_REASON', 'FAILED_OTHER_REASON')], max_length=30)),
                ('source_type', models.CharField(choices=[('bank_account', 'Bank Account'), ('card', 'Card')], max_length=30)),
                ('transfer_datetime', models.DateTimeField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('owner', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='product.Product')),
                ('tenant', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical payment transfers',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalRentPayment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('amount', models.PositiveIntegerField()),
                ('status', models.CharField(choices=[('PENDING', 'PENDING'), ('IN_PROGRESS', 'IN PROGRESS'), ('COMPLETE', 'COMPLETE'), ('FAILED', 'FAILED')], max_length=30)),
                ('payment_type', models.CharField(choices=[('rent', 'RENT'), ('deposit', 'DEPOSIT')], default='rent', max_length=30)),
                ('payment_method', models.CharField(blank=True, choices=[('CREDIT_CARD', 'CREDIT_CARD'), ('DEBIT_CARD', 'DEBIT_CARD'), ('ACH_DEBIT', 'ACH_DEBIT'), ('UNKNOWN', 'UNKNOWN')], max_length=30, null=True)),
                ('payment_made_datetime', models.DateTimeField(blank=True, null=True)),
                ('due_date', models.DateField(blank=True, null=True)),
                ('identifier', models.CharField(blank=True, max_length=100, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='product.Product')),
                ('tenant', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical rent payment',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
