# Generated by Django 2.0.13 on 2019-07-14 07:33

import buildblock.apps.product.models
import ckeditor_uploader.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('code', models.CharField(max_length=100, unique=True, verbose_name='Product code')),
                ('title', models.CharField(max_length=200, verbose_name='Product Title')),
                ('main_image', models.ImageField(upload_to=buildblock.apps.product.models.product_main_path, verbose_name='Main Image')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Product description')),
                ('address_1', models.CharField(max_length=128, verbose_name='Address 1')),
                ('address_2', models.CharField(blank=True, max_length=128, verbose_name='Address 2')),
                ('city', models.CharField(max_length=64, verbose_name='City')),
                ('state', models.CharField(choices=[('CT', 'Connecticut'), ('NC', 'North Carolina'), ('NM', 'New Mexico'), ('WI', 'Wisconsin'), ('LA', 'Louisiana'), ('OH', 'Ohio'), ('OR', 'Oregon'), ('MD', 'Maryland'), ('NJ', 'New Jersey'), ('CO', 'Colorado'), ('IN', 'Indiana'), ('UT', 'Utah'), ('HI', 'Hawaii'), ('WY', 'Wyoming'), ('AK', 'Alaska'), ('IA', 'Iowa'), ('NE', 'Nebraska'), ('PA', 'Pennsylvania'), ('ME', 'Maine'), ('AL', 'Alabama'), ('DE', 'Delaware'), ('VT', 'Vermont'), ('AR', 'Arkansas'), ('AZ', 'Arizona'), ('ID', 'Idaho'), ('OK', 'Oklahoma'), ('MN', 'Minnesota'), ('MI', 'Michigan'), ('NH', 'New Hampshire'), ('NY', 'New York'), ('ND', 'North Dakota'), ('WV', 'West Virginia'), ('KS', 'Kansas'), ('GA', 'Georgia'), ('SC', 'South Carolina'), ('IL', 'Illinois'), ('TN', 'Tennessee'), ('MT', 'Montana'), ('RI', 'Rhode Island'), ('TX', 'Texas'), ('WA', 'Washington'), ('VA', 'Virginia'), ('FL', 'Florida'), ('NV', 'Nevada'), ('KY', 'Kentucky'), ('MA', 'Massachusetts'), ('MO', 'Missouri'), ('CA', 'California'), ('SD', 'South Dakota'), ('DC', 'District of Columbia'), ('MS', 'Mississippi')], max_length=16, verbose_name='State')),
                ('zip_code', models.CharField(max_length=5, verbose_name='Zip Code')),
                ('map_url', models.CharField(blank=True, max_length=500, verbose_name='Product Google Map Url')),
                ('property_type', models.CharField(choices=[('condominium', 'Condominium'), ('single_family ', 'Single Family'), ('co_op', 'Co-op'), ('multi_family', 'Multi Family'), ('townhouse', 'Townhouse'), ('land', 'Land')], max_length=64, verbose_name='Product Property Type')),
                ('sqft', models.FloatField(verbose_name='Square Footage')),
                ('num_bedroom', models.FloatField(verbose_name='The Number of Bedrooms')),
                ('num_bathroom', models.FloatField(verbose_name='The Number of Bathrooms')),
                ('num_parking', models.FloatField(verbose_name='The Number of Parking Spaces')),
                ('washer_dryer', models.CharField(max_length=100, verbose_name='Washer & Dryer')),
                ('allowed_pets', models.CharField(max_length=100, verbose_name='Allowed Pets')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProductDocs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('docs', models.FileField(upload_to=buildblock.apps.product.models.product_docs_path, verbose_name='Docs file')),
                ('title', models.CharField(max_length=100, verbose_name='Docs title')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='docs', to='product.Product')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProductImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('image', models.ImageField(upload_to=buildblock.apps.product.models.product_detail_path, verbose_name='Detail Image')),
                ('title', models.CharField(max_length=100, verbose_name='Image title')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='product.Product')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
