# Generated by Django 2.0.13 on 2019-11-12 05:59

import ckeditor_uploader.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('product', '0010_product_application_fee_rate'),
    ]

    operations = [
        migrations.CreateModel(
            name='Construction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('type', models.CharField(choices=[('FIX_AND_FLIP', 'Fix and Flip'), ('ADU', 'ADU')], max_length=32, verbose_name='Construction Type')),
                ('status', models.CharField(choices=[('PENDING', 'Ready'), ('IN_PROGRESS', 'In Progress'), ('COMPLETE', 'Complete')], default='ACTIVE', max_length=16, verbose_name='Construction Status')),
                ('title', models.CharField(max_length=100, verbose_name='Construction title')),
                ('budget', models.PositiveIntegerField(verbose_name='Budget (cent)')),
                ('start_date', models.DateField(verbose_name='Construction Start Date')),
                ('end_date', models.DateField(verbose_name='Construction End Date')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Product description')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConstructionReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=100, verbose_name='Title')),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(verbose_name='Content')),
                ('report_date', models.DateField(verbose_name='Report Date')),
                ('construction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reports', to='product.Construction')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='product',
            name='status',
            field=models.CharField(choices=[('IN_PROGRESS', 'Construction'), ('ACTIVE', 'Available'), ('PENDING', 'Under Review')], default='ACTIVE', max_length=16, verbose_name='Product Status'),
        ),
        migrations.AddField(
            model_name='construction',
            name='product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='constructions', to='product.Product'),
        ),
    ]
