# Generated by Django 2.0.13 on 2020-04-27 06:47

import ckeditor_uploader.fields
import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.db import migrations, models

import buildblock.apps.product.models


class Migration(migrations.Migration):

    dependencies = [
        ('product', '0014_auto_20200311_1707'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConstructionPicture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('picture', models.ImageField(upload_to=buildblock.apps.construction.models.construction_picture_path, verbose_name='Picture')),
                ('status', models.CharField(choices=[('BEFORE', 'Before'), ('IN_PROGRESS', 'In Progress'), ('AFTER', 'After')], default='IN_PROGRESS', max_length=16, verbose_name='Status')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ConstructionWork',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=100, verbose_name='Work title')),
                ('zone', models.IntegerField()),
                ('work_date', django.contrib.postgres.fields.ArrayField(base_field=models.DateField(), blank=True, default=list, size=None)),
                ('construction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='work_process', to='product.Construction')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='WorkType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=100, verbose_name='Work Type title')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Work Type description')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='product',
            name='zone',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True),
        ),
        migrations.AddField(
            model_name='constructionwork',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='product.WorkType'),
        ),
        migrations.AddField(
            model_name='constructionpicture',
            name='construction_work',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='product.ConstructionWork'),
        ),
    ]
