# Generated by Django 2.0.13 on 2020-06-23 02:41

import buildblock.apps.core.models
import ckeditor_uploader.fields
from django.conf import settings
import django.contrib.postgres.fields.jsonb
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('investment', '0008_historicalinvestment_historicalinvestmentcontract_historicalinvestmentproduct'),
        ('product', '0019_auto_20200522_1011'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalProduct',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('modified_at', models.DateTimeField(blank=True, editable=False)),
                ('code', models.CharField(db_index=True, max_length=100, verbose_name='Product code')),
                ('title', models.CharField(max_length=200, verbose_name='Product Title')),
                ('main_image', models.TextField(max_length=100, verbose_name='Main Image')),
                ('plan_image', models.TextField(blank=True, max_length=100, verbose_name='House Plan Image')),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(blank=True, verbose_name='Product description')),
                ('rent', models.PositiveIntegerField(verbose_name='Rent')),
                ('status', models.CharField(choices=[('IN_PROGRESS', 'Construction'), ('ACTIVE', 'Available'), ('PENDING', 'Under Review'), ('INVESTMENT', 'Investment')], default='ACTIVE', max_length=16, verbose_name='Product Status')),
                ('address_1', models.CharField(max_length=128, verbose_name='Address 1')),
                ('address_2', models.CharField(blank=True, max_length=128, verbose_name='Address 2')),
                ('city', models.CharField(max_length=64, verbose_name='City')),
                ('state', models.CharField(choices=[('AL', 'Alabama'), ('AK', 'Alaska'), ('AZ', 'Arizona'), ('AR', 'Arkansas'), ('CA', 'California'), ('CO', 'Colorado'), ('CT', 'Connecticut'), ('DE', 'Delaware'), ('DC', 'District of Columbia'), ('FL', 'Florida'), ('GA', 'Georgia'), ('HI', 'Hawaii'), ('ID', 'Idaho'), ('IL', 'Illinois'), ('IN', 'Indiana'), ('IA', 'Iowa'), ('KS', 'Kansas'), ('KY', 'Kentucky'), ('LA', 'Louisiana'), ('ME', 'Maine'), ('MD', 'Maryland'), ('MA', 'Massachusetts'), ('MI', 'Michigan'), ('MN', 'Minnesota'), ('MS', 'Mississippi'), ('MO', 'Missouri'), ('MT', 'Montana'), ('NE', 'Nebraska'), ('NV', 'Nevada'), ('NH', 'New Hampshire'), ('NJ', 'New Jersey'), ('NM', 'New Mexico'), ('NY', 'New York'), ('NC', 'North Carolina'), ('ND', 'North Dakota'), ('OH', 'Ohio'), ('OK', 'Oklahoma'), ('OR', 'Oregon'), ('PA', 'Pennsylvania'), ('RI', 'Rhode Island'), ('SC', 'South Carolina'), ('SD', 'South Dakota'), ('TN', 'Tennessee'), ('TX', 'Texas'), ('UT', 'Utah'), ('VT', 'Vermont'), ('VA', 'Virginia'), ('WA', 'Washington'), ('WV', 'West Virginia'), ('WI', 'Wisconsin'), ('WY', 'Wyoming')], max_length=16, verbose_name='State')),
                ('zip_code', buildblock.apps.core.models.ZipcodeField(max_length=5, validators=[django.core.validators.RegexValidator(message='Must be a valid Zipcode in format 12345', regex='^[0-9]{5}$')])),
                ('map_url', models.CharField(blank=True, max_length=500, verbose_name='Product Google Map Url')),
                ('property_type', models.CharField(choices=[('single_family ', 'Single Family'), ('multi_family', 'Multi Family'), ('condominium', 'Condominium'), ('townhouse', 'Townhouse'), ('co_op', 'Co-op'), ('land', 'Land')], max_length=64, verbose_name='Product Property Type')),
                ('built_year', models.PositiveIntegerField(verbose_name='Building Built')),
                ('sqft', models.FloatField(verbose_name='Square Footage')),
                ('num_people', models.PositiveIntegerField(verbose_name='The Number of People')),
                ('num_bedroom', models.FloatField(verbose_name='The Number of Bedrooms')),
                ('num_bathroom', models.FloatField(verbose_name='The Number of Bathrooms')),
                ('num_parking', models.FloatField(verbose_name='The Number of Parking Spaces')),
                ('washer_dryer', models.CharField(max_length=100, verbose_name='Washer & Dryer')),
                ('allowed_pets', models.CharField(max_length=100, verbose_name='Allowed Pets')),
                ('amenities', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('application_fee_rate', models.FloatField(default=0.05, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(1)], verbose_name='Application Fee Rate')),
                ('zone', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=list, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('investment_product', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='investment.InvestmentProduct')),
            ],
            options={
                'verbose_name': 'historical product',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
