# Generated by Django 2.0.13 on 2019-08-06 02:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProfileInvestor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('account_bank', models.CharField(blank=True, max_length=128, verbose_name='은행')),
                ('account_number', models.CharField(blank=True, max_length=128, verbose_name='계좌번호')),
            ],
        ),
        migrations.CreateModel(
            name='ProfileOwner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('account_bank', models.CharField(blank=True, max_length=128, verbose_name='은행')),
                ('account_number', models.CharField(blank=True, max_length=128, verbose_name='계좌번호')),
                ('address_1', models.CharField(blank=True, max_length=128, verbose_name='Address 1')),
                ('address_2', models.CharField(blank=True, max_length=128, verbose_name='Address 2')),
                ('city', models.CharField(blank=True, max_length=64, verbose_name='City')),
                ('state', models.CharField(blank=True, choices=[('NJ', 'New Jersey'), ('SD', 'South Dakota'), ('RI', 'Rhode Island'), ('AL', 'Alabama'), ('TN', 'Tennessee'), ('NM', 'New Mexico'), ('CA', 'California'), ('DE', 'Delaware'), ('NE', 'Nebraska'), ('MT', 'Montana'), ('SC', 'South Carolina'), ('PA', 'Pennsylvania'), ('MO', 'Missouri'), ('AK', 'Alaska'), ('MD', 'Maryland'), ('NC', 'North Carolina'), ('AZ', 'Arizona'), ('NV', 'Nevada'), ('UT', 'Utah'), ('CO', 'Colorado'), ('ND', 'North Dakota'), ('IL', 'Illinois'), ('GA', 'Georgia'), ('HI', 'Hawaii'), ('MN', 'Minnesota'), ('OR', 'Oregon'), ('IN', 'Indiana'), ('KS', 'Kansas'), ('OK', 'Oklahoma'), ('TX', 'Texas'), ('ME', 'Maine'), ('WY', 'Wyoming'), ('VA', 'Virginia'), ('IA', 'Iowa'), ('FL', 'Florida'), ('VT', 'Vermont'), ('WV', 'West Virginia'), ('MS', 'Mississippi'), ('MI', 'Michigan'), ('WI', 'Wisconsin'), ('OH', 'Ohio'), ('MA', 'Massachusetts'), ('CT', 'Connecticut'), ('AR', 'Arkansas'), ('DC', 'District of Columbia'), ('NY', 'New York'), ('ID', 'Idaho'), ('KY', 'Kentucky'), ('WA', 'Washington'), ('NH', 'New Hampshire'), ('LA', 'Louisiana')], max_length=16, verbose_name='State')),
                ('zip_code', models.CharField(blank=True, max_length=5, verbose_name='Zip Code')),
            ],
        ),
        migrations.CreateModel(
            name='ProfileTenant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('emergency_contact', models.CharField(blank=True, max_length=300, null=True, verbose_name='비상연락망')),
                ('occupation', models.CharField(blank=True, default=None, max_length=300, null=True, verbose_name='Occupation')),
                ('income', models.PositiveIntegerField(blank=True, null=True, verbose_name='수입')),
                ('credit_score', models.CharField(blank=True, max_length=10, null=True, verbose_name='신용등급')),
            ],
        ),
        migrations.RemoveField(
            model_name='user',
            name='credit_score',
        ),
        migrations.RemoveField(
            model_name='user',
            name='emergency_contact',
        ),
        migrations.RemoveField(
            model_name='user',
            name='income',
        ),
        migrations.RemoveField(
            model_name='user',
            name='occupation',
        ),
        migrations.AlterField(
            model_name='user',
            name='user_type',
            field=models.CharField(choices=[('tenant_applicant', '세입자 지원자'), ('tenant', '세입자'), ('investor_applicant', '투자자 지원자'), ('investor', '투자자')], max_length=20, verbose_name='유저타입'),
        ),
        migrations.AddField(
            model_name='profiletenant',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile_tenant', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='profileowner',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile_owner', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='profileinvestor',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile_investor', to=settings.AUTH_USER_MODEL),
        ),
    ]
