# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['buildblock',
 'buildblock.apps',
 'buildblock.apps.administrator',
 'buildblock.apps.administrator.migrations',
 'buildblock.apps.administrator.views',
 'buildblock.apps.construction',
 'buildblock.apps.construction.migrations',
 'buildblock.apps.construction.views',
 'buildblock.apps.core',
 'buildblock.apps.core.migrations',
 'buildblock.apps.core.templatetags',
 'buildblock.apps.investment',
 'buildblock.apps.investment.migrations',
 'buildblock.apps.investment.views',
 'buildblock.apps.landing',
 'buildblock.apps.landing.migrations',
 'buildblock.apps.management',
 'buildblock.apps.management.migrations',
 'buildblock.apps.management.views',
 'buildblock.apps.messaging',
 'buildblock.apps.messaging.migrations',
 'buildblock.apps.payments',
 'buildblock.apps.payments.migrations',
 'buildblock.apps.product',
 'buildblock.apps.product.migrations',
 'buildblock.apps.property',
 'buildblock.apps.property.handlers',
 'buildblock.apps.property.migrations',
 'buildblock.apps.signed_url',
 'buildblock.apps.transaction',
 'buildblock.apps.transaction.clients',
 'buildblock.apps.users',
 'buildblock.apps.users.migrations',
 'buildblock.contrib',
 'buildblock.contrib.sites',
 'buildblock.contrib.sites.migrations',
 'buildblock.models',
 'buildblock.services',
 'buildblock.tests.services',
 'buildblock.tests.users']

package_data = \
{'': ['*'],
 'buildblock': ['static/administrator/css/*',
                'static/base/css/*',
                'static/base/css/vendor/*',
                'static/base/favi/*',
                'static/base/fonts/*',
                'static/base/js/*',
                'static/base/js/vendor/*',
                'static/landing/css/*',
                'static/landing/docs/*',
                'static/landing/images/*',
                'static/landing/images/background/*',
                'static/landing/images/logo/*',
                'static/landing/images/partner/*',
                'static/landing/images/service/*',
                'static/landing/images/service/invest_docu_en/*',
                'static/landing/images/service/invest_docu_en/images/*',
                'static/landing/images/service/invest_docu_ko/*',
                'static/landing/images/service/invest_docu_ko/images/*',
                'static/landing/images/service/management_maintenance_en/*',
                'static/landing/images/service/management_maintenance_en/images/*',
                'static/landing/images/service/management_maintenance_ko/*',
                'static/landing/images/service/management_maintenance_ko/images/*',
                'static/landing/images/service/management_property_en/*',
                'static/landing/images/service/management_property_en/images/*',
                'static/landing/images/service/management_property_ko/*',
                'static/landing/images/service/management_property_ko/images/*',
                'static/landing/images/service/management_tenant_en/*',
                'static/landing/images/service/management_tenant_en/images/*',
                'static/landing/images/service/management_tenant_ko/*',
                'static/landing/images/service/management_tenant_ko/images/*',
                'static/landing/images/service/management_transaction_en/*',
                'static/landing/images/service/management_transaction_en/images/*',
                'static/landing/images/service/management_transaction_ko/*',
                'static/landing/images/service/management_transaction_ko/images/*',
                'static/landing/images/sns/*',
                'static/landing/images/team/*',
                'static/management/css/*',
                'static/management/css/vendor/*',
                'static/management/fonts/*',
                'static/management/images/*',
                'static/management/images/error/*',
                'static/management/images/flags/*',
                'static/management/images/investment/*',
                'static/management/images/logo/*',
                'static/management/images/payments/*',
                'static/management/images/product/*',
                'static/management/js/*',
                'static/management/js/pages/*',
                'static/management/js/ui/*',
                'static/management/js/vendor/*',
                'static/messaging/css/*',
                'static/payments/css/*',
                'static/payments/js/*',
                'templates/*',
                'templates/account/*',
                'templates/account/email/*',
                'templates/admin/*',
                'templates/administrator/*',
                'templates/administrator/partials/*',
                'templates/base/*',
                'templates/construction/*',
                'templates/construction/partials/*',
                'templates/email/*',
                'templates/investment/*',
                'templates/investment/partials/*',
                'templates/landing/*',
                'templates/landing/partials/*',
                'templates/landing/svg/*',
                'templates/management/*',
                'templates/management/partials/*',
                'templates/messaging/*',
                'templates/messaging/partials/*',
                'templates/signed_url/*'],
 'buildblock.apps.transaction': ['contracts/*']}

install_requires = \
['Pillow>=8.3.0,<9.0.0',
 'argon2-cffi>=20.1.0,<21.0.0',
 'aws-encryption-sdk>=3.0.0,<4.0.0',
 'blockscore>=4.1.0,<5.0.0',
 'boto3>=1.17.104,<2.0.0',
 'coreapi>=2.3.3,<3.0.0',
 'django-allauth>=0.44.0,<0.45.0',
 'django-background-tasks>=1.2.5,<2.0.0',
 'django-better-admin-arrayfield>=1.4.2,<2.0.0',
 'django-ckeditor>=6.1.0,<7.0.0',
 'django-cors-headers>=3.7.0,<4.0.0',
 'django-crispy-forms>=1.12.0,<2.0.0',
 'django-environ>=0.4.5,<0.5.0',
 'django-guardian>=2.4.0,<3.0.0',
 'django-hitcount>=1.3.3,<2.0.0',
 'django-mathfilters>=1.0.0,<2.0.0',
 'django-model-utils>=4.1.1,<5.0.0',
 'django-modeltranslation>=0.17.3,<0.18.0',
 'django-private-storage>=2.3.0,<3.0.0',
 'django-redis>=4.1.0,<5.0.0',
 'django-simple-history>=3.0.0,<4.0.0',
 'django-widget-tweaks>=1.4.8,<2.0.0',
 'django>=3.2.4,<4.0.0',
 'djangorestframework>=3.12.4,<4.0.0',
 'docusign-esign>=3.10.0,<4.0.0',
 'easy-thumbnails>=2.7.1,<3.0.0',
 'googlemaps>=4.4.5,<5.0.0',
 'langdetect>=1.0.9,<2.0.0',
 'marshmallow>=3.12.1,<4.0.0',
 'paypal-checkout-serversdk>=1.0.1,<2.0.0',
 'psycopg2-binary>=2.9.1,<3.0.0',
 'psycopg2>=2.9.1,<3.0.0',
 'python-slugify>=5.0.2,<6.0.0',
 'redis>=3.5.3,<4.0.0',
 'stripe>=2.58.0,<3.0.0',
 'us>=2.0.2,<3.0.0',
 'web3>=5.20.1,<6.0.0']

setup_kwargs = {
    'name': 'buildblock',
    'version': '2.0.0',
    'description': 'Initialize poetry',
    'long_description': None,
    'author': 'coloryourlife',
    'author_email': '95chris0319@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
